summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-03 00:37:40 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-03 00:37:40 +0000
commit02d16f6704763bc775a3a80784ff97110ff233a1 (patch)
tree4544c7ec0dcf3177e0942a5f9607aeeb4c6e87eb /dev-python
parentf93d985b453586b97af7bb4e5239b124f3db36d3 (diff)
downloadbaldeagleos-repo-02d16f6704763bc775a3a80784ff97110ff233a1.tar.gz
baldeagleos-repo-02d16f6704763bc775a3a80784ff97110ff233a1.tar.xz
baldeagleos-repo-02d16f6704763bc775a3a80784ff97110ff233a1.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiocontextvars/aiocontextvars-0.2.2.ebuild1
-rw-r--r--dev-python/amodem/amodem-1.15.1.ebuild3
-rw-r--r--dev-python/anyqt/anyqt-0.0.8-r1.ebuild9
-rw-r--r--dev-python/arpeggio/arpeggio-1.9.2.ebuild2
-rw-r--r--dev-python/babelfish/babelfish-0.5.5-r1.ebuild12
-rw-r--r--dev-python/babelfish/babelfish-9999.ebuild13
-rw-r--r--dev-python/configshell-fb/metadata.xml1
-rw-r--r--dev-python/contextvars/contextvars-2.4.ebuild1
-rw-r--r--dev-python/dogpile-cache/dogpile-cache-0.9.1.ebuild11
-rw-r--r--dev-python/enzyme/enzyme-0.4.1-r2.ebuild13
-rw-r--r--dev-python/enzyme/enzyme-9999.ebuild14
-rw-r--r--dev-python/gst-python/gst-python-1.16.2.ebuild2
-rw-r--r--dev-python/guessit/guessit-3.1.1.ebuild2
-rw-r--r--dev-python/h11/h11-0.9.0.ebuild2
-rw-r--r--dev-python/memory_profiler/memory_profiler-0.57.ebuild2
-rw-r--r--dev-python/parver/parver-0.3.ebuild2
-rw-r--r--dev-python/pyglet/Manifest1
-rw-r--r--dev-python/pyglet/pyglet-1.5.7.ebuild61
-rw-r--r--dev-python/pysrt/pysrt-1.1.2.ebuild12
-rw-r--r--dev-python/pysrt/pysrt-9999.ebuild12
-rw-r--r--dev-python/python-redmine/python-redmine-2.3.0.ebuild2
-rw-r--r--dev-python/python-stdnum/python-stdnum-1.13.ebuild10
-rw-r--r--dev-python/python-xlib/python-xlib-0.27.ebuild2
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/metadata.xml4
-rw-r--r--dev-python/redis-py/redis-py-3.5.3.ebuild77
-rw-r--r--dev-python/rq/Manifest2
-rw-r--r--dev-python/rq/files/rq-1.5.0-no-install-tests.patch13
-rw-r--r--dev-python/rq/metadata.xml8
-rw-r--r--dev-python/rq/rq-1.3.0.ebuild19
-rw-r--r--dev-python/rq/rq-1.5.0.ebuild62
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild25
-rw-r--r--dev-python/symengine/Manifest1
-rw-r--r--dev-python/symengine/symengine-0.6.1.ebuild60
-rw-r--r--dev-python/sympy/Manifest1
-rw-r--r--dev-python/sympy/sympy-1.6.1.ebuild65
-rw-r--r--dev-python/theano/Manifest1
-rw-r--r--dev-python/theano/theano-1.0.5.ebuild45
-rw-r--r--dev-python/urlgrabber/Manifest1
-rw-r--r--dev-python/urlgrabber/urlgrabber-4.0.0.ebuild23
-rw-r--r--dev-python/wsproto/wsproto-0.15.0.ebuild2
-rw-r--r--dev-python/yappi/yappi-1.2.5-r1.ebuild (renamed from dev-python/yappi/yappi-1.2.5.ebuild)2
43 files changed, 489 insertions, 114 deletions
diff --git a/dev-python/aiocontextvars/aiocontextvars-0.2.2.ebuild b/dev-python/aiocontextvars/aiocontextvars-0.2.2.ebuild
index 70265035faf9..42cd1b5f1b77 100644
--- a/dev-python/aiocontextvars/aiocontextvars-0.2.2.ebuild
+++ b/dev-python/aiocontextvars/aiocontextvars-0.2.2.ebuild
@@ -3,6 +3,7 @@
EAPI=7
+# this is a backport, do not add extra impls
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/amodem/amodem-1.15.1.ebuild b/dev-python/amodem/amodem-1.15.1.ebuild
index bf87911ee346..3fdb349744f1 100644
--- a/dev-python/amodem/amodem-1.15.1.ebuild
+++ b/dev-python/amodem/amodem-1.15.1.ebuild
@@ -4,6 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
@@ -16,4 +17,4 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-DISTUTILS_USE_SETUPTOOLS=rdepend
+distutils_enable_tests pytest
diff --git a/dev-python/anyqt/anyqt-0.0.8-r1.ebuild b/dev-python/anyqt/anyqt-0.0.8-r1.ebuild
index 11c296743afe..7411d34be713 100644
--- a/dev-python/anyqt/anyqt-0.0.8-r1.ebuild
+++ b/dev-python/anyqt/anyqt-0.0.8-r1.ebuild
@@ -1,10 +1,12 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
inherit distutils-r1
DESCRIPTION="PyQt4/PyQt5 compatibility layer"
@@ -15,8 +17,3 @@ LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
-
-RDEPEND=""
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- ${RDEPEND}"
diff --git a/dev-python/arpeggio/arpeggio-1.9.2.ebuild b/dev-python/arpeggio/arpeggio-1.9.2.ebuild
index 5770229728dc..9cc5deeb5b0f 100644
--- a/dev-python/arpeggio/arpeggio-1.9.2.ebuild
+++ b/dev-python/arpeggio/arpeggio-1.9.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
diff --git a/dev-python/babelfish/babelfish-0.5.5-r1.ebuild b/dev-python/babelfish/babelfish-0.5.5-r1.ebuild
index c35c3c3b71e8..d279ec9809e2 100644
--- a/dev-python/babelfish/babelfish-0.5.5-r1.ebuild
+++ b/dev-python/babelfish/babelfish-0.5.5-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1
@@ -14,11 +14,5 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE=""
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
-
-python_test() {
- esetup.py test
-}
+distutils_enable_tests setup.py
diff --git a/dev-python/babelfish/babelfish-9999.ebuild b/dev-python/babelfish/babelfish-9999.ebuild
index a385cf0f61e6..382197499a3f 100644
--- a/dev-python/babelfish/babelfish-9999.ebuild
+++ b/dev-python/babelfish/babelfish-9999.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1 git-r3
@@ -13,12 +13,5 @@ EGIT_REPO_URI="https://github.com/Diaoul/${PN}.git"
LICENSE="BSD"
SLOT="0"
-KEYWORDS=""
-IUSE=""
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
-
-python_test() {
- esetup.py test
-}
+distutils_enable_tests setup.py
diff --git a/dev-python/configshell-fb/metadata.xml b/dev-python/configshell-fb/metadata.xml
index 5c0c85a8601a..be15758c759b 100644
--- a/dev-python/configshell-fb/metadata.xml
+++ b/dev-python/configshell-fb/metadata.xml
@@ -9,6 +9,7 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+<stabilize-allarches/>
<longdescription lang="en">
configshell-fb is a Python library that provides a framework
for building simple but nice CLI-based applications.
diff --git a/dev-python/contextvars/contextvars-2.4.ebuild b/dev-python/contextvars/contextvars-2.4.ebuild
index 4524a6dd4fc5..731d7b05b8dc 100644
--- a/dev-python/contextvars/contextvars-2.4.ebuild
+++ b/dev-python/contextvars/contextvars-2.4.ebuild
@@ -3,6 +3,7 @@
EAPI=7
+# this is a backport, do not add extra impls
PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/dogpile-cache/dogpile-cache-0.9.1.ebuild b/dev-python/dogpile-cache/dogpile-cache-0.9.1.ebuild
index 7379b599987d..a4f70aebb554 100644
--- a/dev-python/dogpile-cache/dogpile-cache-0.9.1.ebuild
+++ b/dev-python/dogpile-cache/dogpile-cache-0.9.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python{3_6,3_7,3_8,3_9} )
inherit distutils-r1
@@ -14,17 +14,14 @@ S="${WORKDIR}/dogpile.cache-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND=""
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+BDEPEND="
>=dev-python/decorator-4.0.0[${PYTHON_USEDEP}]
test? (
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-cov[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
- )"
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/enzyme/enzyme-0.4.1-r2.ebuild b/dev-python/enzyme/enzyme-0.4.1-r2.ebuild
index 3dd41a91e09e..21430148dd1c 100644
--- a/dev-python/enzyme/enzyme-0.4.1-r2.ebuild
+++ b/dev-python/enzyme/enzyme-0.4.1-r2.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE='xml(+)'
inherit distutils-r1
@@ -21,8 +21,7 @@ KEYWORDS="amd64 x86"
IUSE="test"
RESTRICT="!test? ( test )"
-RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
+BDEPEND="
test? (
app-arch/unzip
dev-python/pyyaml[${PYTHON_USEDEP}]
@@ -30,6 +29,8 @@ DEPEND="${RDEPEND}
)
"
+distutils_enable_tests setup.py
+
python_prepare_all() {
if use test; then
mkdir enzyme/tests/test_{mkv,parsers} || die
@@ -39,7 +40,3 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
-
-python_test() {
- esetup.py test
-}
diff --git a/dev-python/enzyme/enzyme-9999.ebuild b/dev-python/enzyme/enzyme-9999.ebuild
index 46c049ef7a14..40184beaebb1 100644
--- a/dev-python/enzyme/enzyme-9999.ebuild
+++ b/dev-python/enzyme/enzyme-9999.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE='xml(+)'
inherit distutils-r1 git-r3
@@ -15,12 +15,10 @@ SRC_URI="test? ( mirror://sourceforge/matroska/test_files/matroska_test_w1_1.zip
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS=""
IUSE="test"
RESTRICT="!test? ( test )"
-RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
+BDEPEND="
test? (
app-arch/unzip
dev-python/pyyaml[${PYTHON_USEDEP}]
@@ -28,6 +26,8 @@ DEPEND="${RDEPEND}
)
"
+distutils_enable_tests setup.py
+
src_unpack() {
default_src_unpack
git-r3_src_unpack
@@ -42,7 +42,3 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
-
-python_test() {
- esetup.py test
-}
diff --git a/dev-python/gst-python/gst-python-1.16.2.ebuild b/dev-python/gst-python/gst-python-1.16.2.ebuild
index d404f63fb70e..fff40602b24a 100644
--- a/dev-python/gst-python/gst-python-1.16.2.ebuild
+++ b/dev-python/gst-python/gst-python-1.16.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python{3_6,3_7,3_8,3_9} )
inherit meson python-r1 xdg-utils
diff --git a/dev-python/guessit/guessit-3.1.1.ebuild b/dev-python/guessit/guessit-3.1.1.ebuild
index f6ded8cb1d4f..8fad04058c3e 100644
--- a/dev-python/guessit/guessit-3.1.1.ebuild
+++ b/dev-python/guessit/guessit-3.1.1.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/h11/h11-0.9.0.ebuild b/dev-python/h11/h11-0.9.0.ebuild
index 4bfc16a28c7a..f61bd104ce99 100644
--- a/dev-python/h11/h11-0.9.0.ebuild
+++ b/dev-python/h11/h11-0.9.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/memory_profiler/memory_profiler-0.57.ebuild b/dev-python/memory_profiler/memory_profiler-0.57.ebuild
index bfc641a4b265..823832fa016f 100644
--- a/dev-python/memory_profiler/memory_profiler-0.57.ebuild
+++ b/dev-python/memory_profiler/memory_profiler-0.57.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
diff --git a/dev-python/parver/parver-0.3.ebuild b/dev-python/parver/parver-0.3.ebuild
index 8d31851082db..af0d8b5a02d6 100644
--- a/dev-python/parver/parver-0.3.ebuild
+++ b/dev-python/parver/parver-0.3.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1
DESCRIPTION="Parse and manipulate version numbers"
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 6f893d1c4e0b..3d5bd72bdd15 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1,2 +1,3 @@
DIST pyglet-1.2.4.tar.gz 2122017 BLAKE2B 6e5e24ec78e24b9a9c8e9627791ede93d740c1af7af0176c6f75409c76981fa16752bbe14c9b5ec871438f5468b3587e7ce12194241d94ab3731d46cbbe395f1 SHA512 70cd781936db8c8c156499e524ee73520bc90c19461074264abd62a4854307ef090af5faba521686f247fb4cbee552a428892f59a5b382429acfc000f4c2e22d
DIST pyglet-1.5.3.tar.gz 6356079 BLAKE2B 517b196eff334d572d4db181ce0480c3af8e2bc4a92e23e1fd7c335aedebe3afa493eb3f4745d8daffc3c7d930b9e333075014d2ba5d4303f4691c490a09f252 SHA512 12e7189272b9ab3b4bd3d713d0e979cfc1d76200fc8454b31573fca29b179f99242c34a1adb7a1c2fabb7b950cc3006cfcd8b188eb2c50ae95cca95b0e15582c
+DIST pyglet-1.5.7.tar.gz 6367378 BLAKE2B 68d4aa673a7463f7da0f4ccb7f413b602f32ecc423438326fc4262a4449fe22dff25a513074611ce2c77c130dfe9cc29e44e54a95169875208731f70803f1a45 SHA512 2c2a06636b1db788241028d1ef2290a774b98721ccc92ceed2b2895bcee81d4aa72b2111896091b54531936513772505b0d43003e412735d606130ed4b08f8c9
diff --git a/dev-python/pyglet/pyglet-1.5.7.ebuild b/dev-python/pyglet/pyglet-1.5.7.ebuild
new file mode 100644
index 000000000000..80f59bf68de1
--- /dev/null
+++ b/dev-python/pyglet/pyglet-1.5.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="https://www.pyglet.org/"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/gst-python[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ virtual/opengl
+ image? ( || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ ) )
+ sound? ( || (
+ media-libs/openal
+ media-sound/pulseaudio
+ ) )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+
+DOCS=( DESIGN NOTICE README.md RELEASE_NOTES )
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ xdg_environment_reset
+
+ # Specify path to avoid running interactive tests
+ # We could add in integration tests, but they're slow
+ pytest -vv tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pysrt/pysrt-1.1.2.ebuild b/dev-python/pysrt/pysrt-1.1.2.ebuild
index 1828fc7ebdb7..bcae40917b75 100644
--- a/dev-python/pysrt/pysrt-1.1.2.ebuild
+++ b/dev-python/pysrt/pysrt-1.1.2.ebuild
@@ -20,17 +20,7 @@ fi
LICENSE="GPL-3+"
SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]"
-DEPEND="
- test? (
- ${RDEPEND}
- dev-python/nose[${PYTHON_USEDEP}]
- )
-"
-python_test() {
- nosetests -v || die "Tests failed under ${EPYTHON}"
-}
+distutils_enable_tests nose
diff --git a/dev-python/pysrt/pysrt-9999.ebuild b/dev-python/pysrt/pysrt-9999.ebuild
index 6ad134a1890f..a263dd8cbba5 100644
--- a/dev-python/pysrt/pysrt-9999.ebuild
+++ b/dev-python/pysrt/pysrt-9999.ebuild
@@ -20,17 +20,7 @@ fi
LICENSE="GPL-3+"
SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND="dev-python/chardet[${PYTHON_USEDEP}]"
-DEPEND="
- test? (
- ${RDEPEND}
- dev-python/nose[${PYTHON_USEDEP}]
- )
-"
-python_test() {
- nosetests -v || die "Tests failed under ${EPYTHON}"
-}
+distutils_enable_tests nose
diff --git a/dev-python/python-redmine/python-redmine-2.3.0.ebuild b/dev-python/python-redmine/python-redmine-2.3.0.ebuild
index 35f3a477d587..b36d8846ca88 100644
--- a/dev-python/python-redmine/python-redmine-2.3.0.ebuild
+++ b/dev-python/python-redmine/python-redmine-2.3.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1
diff --git a/dev-python/python-stdnum/python-stdnum-1.13.ebuild b/dev-python/python-stdnum/python-stdnum-1.13.ebuild
index 2104c827ca17..988085826d28 100644
--- a/dev-python/python-stdnum/python-stdnum-1.13.ebuild
+++ b/dev-python/python-stdnum/python-stdnum-1.13.ebuild
@@ -13,16 +13,10 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="vies test"
-RESTRICT="!test? ( test )"
+IUSE="vies"
RDEPEND="vies? ( || ( dev-python/zeep dev-python/suds ) )"
-DEPEND="${DEPEND}
- dev-python/setuptools
- test? ( dev-python/nose )"
DOCS=( ChangeLog NEWS README )
-python_test() {
- nosetests -v || die
-}
+distutils_enable_tests nose
diff --git a/dev-python/python-xlib/python-xlib-0.27.ebuild b/dev-python/python-xlib/python-xlib-0.27.ebuild
index 01948a558f34..d1607af092f2 100644
--- a/dev-python/python-xlib/python-xlib-0.27.ebuild
+++ b/dev-python/python-xlib/python-xlib-0.27.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit distutils-r1 virtualx
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index 61bdd72bbbdb..d371b403131f 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1 +1,2 @@
DIST redis-py-3.3.11.tar.gz 131072 BLAKE2B 6becafba3da22bae796a4a9ba55d11a61d9ed1a8b693a734d4ef3f0e463c0c39a05c01546225f69eb36a788779d6e45d0136e1a6d6856ec63c3dd07994b5db9a SHA512 a32327fcebc6242367c0eda6c6dcd1a15d5d575527af2e9de0d76e05bc4afc7402566d9254e467663b81907a310731af3041236b6b135f3b8ff1429a502c1000
+DIST redis-py-3.5.3.tar.gz 141112 BLAKE2B b953d553a3cfa2d6ba6f5aa35dfaf93865acbfad0e901a96082c3b1c027dc23b6ceedde185f24e86772522fbbf4f0a4d18e115a6b40aff6a65450bbe397d5c07 SHA512 eae6ac6b3e0f1366a9c29e5e2d9a5210e4627e62e3006159b1c290f36cd9c1c2c12cafe0944f7a010e04632b517874f230aa9411491993b7ecf2080546217206
diff --git a/dev-python/redis-py/metadata.xml b/dev-python/redis-py/metadata.xml
index 110f1b38754f..f76f11741ffb 100644
--- a/dev-python/redis-py/metadata.xml
+++ b/dev-python/redis-py/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>sam@gentoo.org</email>
+ <name>Sam James</name>
+ </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
diff --git a/dev-python/redis-py/redis-py-3.5.3.ebuild b/dev-python/redis-py/redis-py-3.5.3.ebuild
new file mode 100644
index 000000000000..232596d3204a
--- /dev/null
+++ b/dev-python/redis-py/redis-py-3.5.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="redis"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="https://github.com/andymccurdy/redis-py"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ dev-db/redis
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # Make sure that tests will be used from BUILD_DIR rather than cwd.
+ mv tests tests-hidden || die
+
+ # Correct local import patch syntax
+ sed \
+ -e 's:from .conftest:from conftest:' \
+ -e 's:from .test_pubsub:from test_pubsub:' \
+ -i tests-hidden/test_*.py \
+ || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use test; then
+ cp -r tests-hidden "${BUILD_DIR}"/tests || die
+ fi
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+ local redis_test_config="daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ "
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ elog "Spawning Redis"
+ elog "NOTE: Port ${redis_port} must be free"
+ /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
+
+distutils_enable_tests pytest
diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index f6fb3743c42e..0d6a8a052910 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1,2 @@
-DIST rq-1.3.0.tar.gz 50906 BLAKE2B 073ef65c90b2f4cab7505148133cf9e8652f6915bcb34d96b61fca2eb3096d5eb8fb506dfa3d22f402d4ef7ff8e5456faa3bdf7ad6586cfa563b7b2c2da8cb95 SHA512 3c7c3b63a7068ada14c39fa21631fa35d336955c8f5b7b5fbf3d75a99b046abacc2ff28a3a58fc03d587be8bf8e22eea33d31142d3be880afc49287a004ff782
DIST rq-1.4.3.tar.gz 52258 BLAKE2B fd2bb19239ac3011005b34cf041e7736794a27b2097a7ff1808a716d45ad224ad349e316f172308175174f59ff0d3d2bbe0c6778bd66cdad6755da2740898c0d SHA512 177c748148a109efaeddf14b3847e7980882f385ba0e346ccfa72983d584f1c739417383c6eec83370a66f1ceeb5f955de9d5ccf87e4136074aa52e2f9144bd3
+DIST rq-1.5.0.tar.gz 569320 BLAKE2B 5349f6e806c5348e584513bf8fe8828c44909b8f4e53fcdfe40e0c617f162859dbc89d4595993c29227a25cef5b6ddbb758c51c3e50b442ada62eaca0585490a SHA512 87eb83de529afe3a1e0a9f2b1727aba97482e3e55024aede29ad6e12ed5b92ca147bef8d720a09b34939c04ac5e37642147aea5b1b7686ed4b2aaacdcf998f6d
diff --git a/dev-python/rq/files/rq-1.5.0-no-install-tests.patch b/dev-python/rq/files/rq-1.5.0-no-install-tests.patch
new file mode 100644
index 000000000000..0c7aa7aacc4c
--- /dev/null
+++ b/dev-python/rq/files/rq-1.5.0-no-install-tests.patch
@@ -0,0 +1,13 @@
+diff --git a/setup.py b/setup.py
+index ac40818..b67b25c 100644
+--- a/setup.py
++++ b/setup.py
+@@ -36,7 +36,7 @@ setup(
+ description='RQ is a simple, lightweight, library for creating background '
+ 'jobs, and processing them.',
+ long_description=__doc__,
+- packages=find_packages(exclude=['tests']),
++ packages=find_packages(exclude=['tests*']),
+ include_package_data=True,
+ zip_safe=False,
+ platforms='any',
diff --git a/dev-python/rq/metadata.xml b/dev-python/rq/metadata.xml
index 61590a3bb1b1..cdf89d81a84f 100644
--- a/dev-python/rq/metadata.xml
+++ b/dev-python/rq/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>sam@gentoo.org</email>
+ <name>Sam James</name>
+ </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
@@ -8,10 +12,6 @@
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
- <maintainer type="person">
- <email>sam@gentoo.org</email>
- <name>Sam James</name>
- </maintainer>
<upstream>
<remote-id type="github">rq/rq</remote-id>
<remote-id type="pypi">rq</remote-id>
diff --git a/dev-python/rq/rq-1.3.0.ebuild b/dev-python/rq/rq-1.3.0.ebuild
deleted file mode 100644
index 856f7783c307..000000000000
--- a/dev-python/rq/rq-1.3.0.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-inherit distutils-r1
-
-DESCRIPTION="simple, lightweight library for creating and processing background jobs"
-HOMEPAGE="https://python-rq.org https://github.com/rq/rq"
-SRC_URI="mirror://pypi/${PN:0:1}"/${PN}/${P}.tar.gz
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
-
-DEPEND=" >=dev-python/click-5.0[${PYTHON_USEDEP}]
- >=dev-python/redis-py-3.0.0[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
diff --git a/dev-python/rq/rq-1.5.0.ebuild b/dev-python/rq/rq-1.5.0.ebuild
new file mode 100644
index 000000000000..a731f4cecab4
--- /dev/null
+++ b/dev-python/rq/rq-1.5.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="simple, lightweight library for creating and processing background jobs"
+HOMEPAGE="https://python-rq.org https://github.com/rq/rq"
+SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ test? ( dev-python/sentry-sdk[${PYTHON_USEDEP}] )
+"
+DEPEND="
+ >=dev-python/click-5.0[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-3.5.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.5.0-no-install-tests.patch"
+)
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+ local redis_test_config="daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ "
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ elog "Spawning Redis"
+ elog "NOTE: Port ${redis_port} must be free"
+ /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+ # Run the actual tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+ # Tests needing rqworker:
+ # TestWorkerSubprocess::test_run_access_self, test_run_empty_queue, test_run_scheduled_access_self
+ distutils_install_for_testing
+ PATH="${BUILD_DIR}/test/scripts/:${PATH}" pytest -vv || die "Testsuite failed under ${EPYTHON}"
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index c5a35dd737b7..67e98ca4d7c0 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1 +1,2 @@
DIST sentry-sdk-0.14.4.tar.gz 75420 BLAKE2B cbc5f401fae8a4a9eaa8f6fff8ca16a61cf2d339f14787610646112f67d7b0694d95a6076d2810968d28eb176d447fec6cf49af9a317bb2c30b4e6ab2d89a4f0 SHA512 66886df71a3d8f9f86f41bfc4078bf80f217bcb0a27fb9e93acee193b482d3045db44953f6f0b4d05e79daa91dadb56c2784b13d1308e7bc00fb40f485537dab
+DIST sentry-sdk-0.16.3.tar.gz 170145 BLAKE2B bf619313fb3f49800f5384f0dfec3aa34ef4bb030c5e038a485a8861a733a537ee7c834c8c200a2244335c3c61e7d564005b81d4e5c5f603d2864b2a943a5384 SHA512 e8589f7bd433d4aff068099e860c0cf012fc88dc63806873573a338bb91848d73e0a2af76dad0a5e023a1b25b0be85507346b77dec5c5a265942005219541699
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild
new file mode 100644
index 000000000000..180866d812cb
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+
+# No tests for now
+# Need unpackaged: executing, fakeredis
diff --git a/dev-python/symengine/Manifest b/dev-python/symengine/Manifest
index d0314bc5b092..4c55975bd99a 100644
--- a/dev-python/symengine/Manifest
+++ b/dev-python/symengine/Manifest
@@ -1 +1,2 @@
DIST symengine.py-0.5.1.tar.gz 110864 BLAKE2B 30309b87cc612df37fca94df5c3199401a2cff9fd782de2fa00910bf17a1bb2debfb851aefc6178a38eafe49055950b76373c6e9a81a2fe5814497c2894b5f8e SHA512 85df42245daad0387886f003a593e8d45f34e51db4ed207f6bb70f573704a33f24a1cbe30f1c67c2c1541f1e800208c90b3ce3ec35c9d4eab05bbdb5be570ef5
+DIST symengine.py-0.6.1.tar.gz 112123 BLAKE2B 3b55ddd834c7401a5a211e5e20bafbea68b172738c6388e72b1e6a6e62719e19f28356fb6156caa6cfbad59d051de45c0e103a89d675e3453136cc85e638f327 SHA512 09f452757e3c99dc9d896a322a07d58f57af6d57a9eaa615b9f4f3d834cfc91f6a79de955a36ad94bc30c962365272ef0afe401570583af49c015295ccd7c4ed
diff --git a/dev-python/symengine/symengine-0.6.1.ebuild b/dev-python/symengine/symengine-0.6.1.ebuild
new file mode 100644
index 000000000000..f75bf9e3ef38
--- /dev/null
+++ b/dev-python/symengine/symengine-0.6.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+MYP=${PN}.py-${PV}
+
+DESCRIPTION="Python wrappers to the symengine C++ library"
+HOMEPAGE="https://github.com/symengine/symengine.py"
+SRC_URI="https://github.com/symengine/symengine.py/archive/v${PV}.tar.gz -> ${MYP}.tar.gz"
+S="${WORKDIR}/${MYP}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-util/cmake
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sympy[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=sci-libs/symengine-0.6
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Don't install tests
+ > "${S}/symengine/tests/CMakeLists.txt" || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ python_optimize
+
+ rm "${ED}"/usr/share/doc/${PF}/README.md || die
+ newdoc README.md ${PN}.py.md
+}
diff --git a/dev-python/sympy/Manifest b/dev-python/sympy/Manifest
index b8791fc94efc..ed15a2352fdf 100644
--- a/dev-python/sympy/Manifest
+++ b/dev-python/sympy/Manifest
@@ -1 +1,2 @@
DIST sympy-1.5.1.tar.gz 6815997 BLAKE2B bc74d01fdf2ccea6b83a06c11f810e3d105e9d35b397c8b87a1bcc4e316d00c456f576baf57d1b4a6175e056dec58f05fbb05893519775ffa252ac018452d2ff SHA512 3c4220243d2cbcff9eedb2a7986431b5b4d7d0007c78208a60b21830c9a3528d2171086874c42205c1227f779e44c19b9562943e2935d329bc352e7ea85396c7
+DIST sympy-1.6.1.tar.gz 6811393 BLAKE2B cd19946fc726b5a74f9ff0af07f07f8f76ea28b20818653d785848e331c126d634d8167e3506d8b87c12ed057df4a59551f0a0214b7d1292e199c6a3353f70be SHA512 95630b6fad1e41f2d58d1f4f4433ef76d4553f3e119bfdd36048c5880ac7f07d572e901eaae0b5c6208f598989a86ab5e03932a851f8048c584154973be6982c
diff --git a/dev-python/sympy/sympy-1.6.1.ebuild b/dev-python/sympy/sympy-1.6.1.ebuild
new file mode 100644
index 000000000000..adb5f1ab365b
--- /dev/null
+++ b/dev-python/sympy/sympy-1.6.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 eutils virtualx
+
+DESCRIPTION="Computer Algebra System in pure Python"
+HOMEPAGE="https://sympy.org"
+SRC_URI="https://github.com/sympy/sympy/archive/${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="examples imaging ipython latex mathml opengl pdf png pyglet symengine test texmacs theano"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+RDEPEND="dev-python/mpmath[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ imaging? ( dev-python/pillow[${PYTHON_USEDEP}] )
+ ipython? ( dev-python/ipython[${PYTHON_USEDEP}] )
+ latex? (
+ virtual/latex-base
+ dev-texlive/texlive-fontsextra
+ png? ( app-text/dvipng )
+ pdf? ( app-text/ghostscript-gpl )
+ )
+ mathml? ( dev-libs/libxml2:2[${PYTHON_USEDEP}] )
+ opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )
+ pyglet? ( dev-python/pyglet[${PYTHON_USEDEP}] )
+ symengine? ( dev-python/symengine[${PYTHON_USEDEP}] )
+ texmacs? ( app-office/texmacs )
+ theano? ( dev-python/theano[${PYTHON_USEDEP}] )
+"
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" setup.py test || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.md )
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+
+ if use texmacs; then
+ exeinto /usr/libexec/TeXmacs/bin/
+ doexe data/TeXmacs/bin/tm_sympy
+ insinto /usr/share/TeXmacs/plugins/sympy/
+ doins -r data/TeXmacs/progs
+ fi
+}
diff --git a/dev-python/theano/Manifest b/dev-python/theano/Manifest
index 56b8e6682d5b..dfa384a37398 100644
--- a/dev-python/theano/Manifest
+++ b/dev-python/theano/Manifest
@@ -1 +1,2 @@
DIST Theano-1.0.4.tar.gz 2840691 BLAKE2B 7f89caee3dd50d75ff09693fde7926f2b7da0f94758ef932f207feea29d74d38ed56591e6ebe0b46cfa043d5fb46d5b97028171acdfd324a01eb7b904169b4ac SHA512 3cc7f9dbb606c3c997c8651c34dd861721d5a8b99d06ed0887306d5a5ad0d7e402fbe29dcb5ad2f513b3bf75966e41a2854ebdf9a4fb212607345f84f367de8c
+DIST Theano-1.0.5.tar.gz 2842778 BLAKE2B ee82e9487a5265a1040750ace70465c450134e70eba4e58752cbaa7d487be5fb3cce31b838429cb52f7bc31d32a20379e158ee289dd5732dd8b86a9ee36b6d89 SHA512 6bb27753957d32392ea793e39ea56eff94baafbb55e27488f9c0bbdb387172a6829e64f461f83dae192486d9764b72d815e3b8dc059b2af116b024fc7228a118
diff --git a/dev-python/theano/theano-1.0.5.ebuild b/dev-python/theano/theano-1.0.5.ebuild
new file mode 100644
index 000000000000..375aa654122f
--- /dev/null
+++ b/dev-python/theano/theano-1.0.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 eutils
+
+MY_P=${P^}
+
+DESCRIPTION="Define and optimize multi-dimensional arrays mathematical expressions"
+HOMEPAGE="https://github.com/Theano/Theano"
+SRC_URI="mirror://pypi/${MY_P::1}/${MY_P%-*}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="test? ( dev-python/parameterized[${PYTHON_USEDEP}] )"
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+ sed -i -e "s/, 'flake8'//" setup.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils_install_for_testing
+ nosetests --verbosity=3 -e test_format_flake8 || die
+}
+
+pkg_postinst() {
+ optfeature "Make picture of Theano computation graph" dev-python/pydot-ng
+ optfeature "Required for GPU/CPU code generation" dev-python/pygpu
+}
diff --git a/dev-python/urlgrabber/Manifest b/dev-python/urlgrabber/Manifest
index 11c8d8797e8d..4c833931b7a2 100644
--- a/dev-python/urlgrabber/Manifest
+++ b/dev-python/urlgrabber/Manifest
@@ -1 +1,2 @@
DIST urlgrabber-3.10.1.tar.gz 83735 BLAKE2B ea0b3c071f968b2632e89cf225906740685b0f1134d41cf8aaf7e6361110780f6c998b06e4d79527be7e7953c5c4a617d039477135135cc7fc13a0426f0d9ee0 SHA512 c44d32b17c5f8984d09ed46ae36b3e05dc69d041820cf979029bc325d8407bbd7e324f264be5886286cd99e123f51affec26638cab6e525f85e2a1c4247462d7
+DIST urlgrabber-4.0.0.tar.gz 86308 BLAKE2B 15195336d8e19331134b3bc1de29a669b80ab62c14e613fbcbbc1b8be8cb4ee1da3df317591989c6a3e3a403f8ad9071ca866006f23fbadc6283e88d5f050290 SHA512 01579281b1548c71737166daa6dfb7eaafceaf4afd9703f8e5e3193c33613750cb4291e3c7939065e995a173925965a16e656c43324f3b599f9c83d9e479e8c1
diff --git a/dev-python/urlgrabber/urlgrabber-4.0.0.ebuild b/dev-python/urlgrabber/urlgrabber-4.0.0.ebuild
new file mode 100644
index 000000000000..301a52f6420a
--- /dev/null
+++ b/dev-python/urlgrabber/urlgrabber-4.0.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for downloading files"
+HOMEPAGE="https://urlgrabber.baseurl.org"
+SRC_URI="http://urlgrabber.baseurl.org/download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ dev-python/pycurl[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+# Entire testsuite relies on connecting to the i'net
diff --git a/dev-python/wsproto/wsproto-0.15.0.ebuild b/dev-python/wsproto/wsproto-0.15.0.ebuild
index d462f0110afc..e7dbbeb8b3a3 100644
--- a/dev-python/wsproto/wsproto-0.15.0.ebuild
+++ b/dev-python/wsproto/wsproto-0.15.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1
diff --git a/dev-python/yappi/yappi-1.2.5.ebuild b/dev-python/yappi/yappi-1.2.5-r1.ebuild
index 20fa17b7a901..acd58c22ca8b 100644
--- a/dev-python/yappi/yappi-1.2.5.ebuild
+++ b/dev-python/yappi/yappi-1.2.5-r1.ebuild
@@ -19,7 +19,7 @@ SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
RDEPEND="
- dev-python/contextvars[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/contextvars[${PYTHON_USEDEP}]' 'python3_6')
"
PATCHES=(